> ## Documentation Index
> Fetch the complete documentation index at: https://www.vollna.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get job status

> Retrieve the current status of an auto bidding job



## OpenAPI

````yaml get /auto-bidding/jobs/{id}/status
openapi: 3.0.4
info:
  title: Vollna API
  description: API for managing Upwork profiles, proposals, results, and filters
  version: 1.0.0
servers:
  - url: https://api.vollna.com/v1
security: []
tags:
  - name: Profiles
    description: Manage Upwork profiles
  - name: Proposals
    description: Access and manage Upwork proposals
  - name: Results
    description: View monitoring results and projects
  - name: Filters
    description: Manage monitoring filters
  - name: Auto Bidding
    description: Manage auto bidding jobs and setups
paths:
  /auto-bidding/jobs/{id}/status:
    get:
      tags:
        - Auto Bidding
      summary: Get job status
      description: Retrieve the current status of an auto bidding job
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
          description: The job ID
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutoBiddingJobStatusResponse'
        '404':
          description: Job not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiToken: []
components:
  schemas:
    AutoBiddingJobStatusResponse:
      type: object
      properties:
        success:
          type: boolean
        job:
          $ref: '#/components/schemas/AutoBiddingJobStatus'
    Error:
      type: object
      properties:
        error:
          type: string
    AutoBiddingJobStatus:
      type: object
      properties:
        id:
          type: integer
        upwork_job_id:
          type: string
        status:
          type: string
          description: >-
            Available values: `scheduled`, `processing`, `applied`, `skipped`,
            `failed`
        reason:
          type: string
          nullable: true
          description: >-
            Reason for the job status (skip reason or error message), available
            only for `skipped` and `failed` statuses
        status_title:
          type: string
          description: Human-readable status title
        scheduled_at:
          type: string
        processed_at:
          type: string
          nullable: true
        error_message:
          type: string
          nullable: true
        retry_count:
          type: integer
        is_ready_for_processing:
          type: boolean
        upwork_proposal_id:
          type: integer
          nullable: true
          deprecated: true
          description: Proposal ID (deprecated, use `proposal_id` instead)
        proposal_id:
          type: integer
          nullable: true
          description: Proposal ID
        upwork_application_uid:
          type: string
          nullable: true
          description: Upwork application UID of the proposal
  securitySchemes:
    apiToken:
      type: apiKey
      name: X-API-TOKEN
      in: header
      description: API token for authentication

````